๐ Get TRX node info
Code samples
GET /api/v1/trx/info
curl 'https://settla.net/api/v1/trx/info' \
-H 'X-API-Key: $SETTLA_API_KEY' \
-H 'Accept: application/json'
Returns TRX node information with sensitive data filtered out.
Example responses
200 Response
{
"beginSyncNum": 85886974,
"block": "Num:85886993,ID:00000000051e881116d3c7b7473f6a959b5660343f3e1f2bee14db5a7d41afb0",
"solidityBlock": "Num:85886975,ID:00000000051e87ff2e90a0368b90ee5033f3272876e4f4d693e03c177346dbc7",
"currentConnectCount": 30,
"activeConnectCount": 3,
"passiveConnectCount": 27,
"totalFlow": 0,
"configNodeInfo": {
"codeVersion": "4.8.2.1",
"versionNum": "18825",
"p2pVersion": "11111",
"listenPort": 18888,
"discoverEnable": true,
"maxConnectCount": 30,
"sameIpMaxConnectCount": 2,
"dbVersion": 2,
"minParticipationRate": 15,
"supportConstant": true,
"allowCreationOfContracts": 0,
"allowAdaptiveEnergy": 0
},
"cheatWitnessInfoMap": []
}
500 Response
{
"error": "Could not connect to TRX node."
}
๐ Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Node information | Inline |
| 500 | Internal Server Error | Could not connect to TRX node | Inline |
๐ Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| ยป activeConnectCount | integer | false | none | none |
| ยป beginSyncNum | integer | false | none | none |
| ยป block | string | false | none | none |
| ยป configNodeInfo | object | false | none | none |
| ยปยป codeVersion | string | false | none | none |
| ยปยป dbVersion | integer | false | none | none |
| ยปยป listenPort | integer | false | none | none |
| ยปยป maxConnectCount | integer | false | none | none |
| ยปยป p2pVersion | string | false | none | none |
| ยป currentConnectCount | integer | false | none | none |
| ยป passiveConnectCount | integer | false | none | none |
Status Code 500
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| ยป error | string | false | none | none |
| ยป details | object | false | none | Present only on a few validation errors. |